Skip to main content
POST
/
api
/
v1
/
projects
/
compose
Compose Preview
curl --request POST \
  --url https://api.example.com/api/v1/projects/compose \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "goal": "<string>"
}
'
{
  "project_title": "<string>",
  "project_description": "<string>",
  "tasks": [
    {
      "title": "<string>",
      "notes": "<string>",
      "task_type_slug": "<string>",
      "category_slug": "<string>",
      "suggested_budget_usd": 123,
      "is_supported": true,
      "parallel_group": "<string>",
      "depends_on_titles": [
        "<string>"
      ]
    }
  ],
  "estimated_total_usd": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
goal
string
required
Required string length: 10 - 2000

Response

Successful Response

project_title
string
required
project_description
string
required
tasks
ComposeTaskItem · object[]
required
estimated_total_usd
number
required